Name:           virt-what
Version:        1.15
Release:        %mkrel 2
Summary:        Detect if we are running in a virtual machine

Group:          System/Kernel and hardware
License:        GPLv2+
URL:            http://people.redhat.com/~rjones/virt-what/
Source0:        http://people.redhat.com/~rjones/virt-what/files/%{name}-%{version}.tar.gz

# for pod2man:
BuildRequires:  perl

# virt-what script uses dmidecode and getopt (from util-linux).
# RPM cannot detect this so make the dependencies explicit here.
%ifarch %{ix86} x86_64
Requires:       dmidecode
%endif
Requires:       util-linux


%description
virt-what is a shell script which can be used to detect if the program
is running in a virtual machine.

The program prints out a list of "facts" about the virtual machine,
derived from heuristics.  One fact is printed per line.

If nothing is printed and the script exits with code 0 (no error),
then it can mean either that the program is running on bare-metal or
the program is running inside a type of virtual machine which we don't
know about or cannot detect.

Current types of virtualization detected:

 - hyperv       Microsoft Hyper-V
 - kvm          Linux Kernel Virtual Machine (KVM)
 - openvz       OpenVZ or Virtuozzo
 - powervm_lx86 IBM PowerVM Lx86 Linux/x86 emulator
 - qemu         QEMU (unaccelerated)
 - uml          User-Mode Linux (UML)
 - virtage      Hitachi Virtualization Manager (HVM) Virtage LPAR
 - virtualbox   VirtualBox
 - virtualpc    Microsoft VirtualPC
 - vmware       VMware
 - xen          Xen
 - xen-dom0     Xen dom0 (privileged domain)
 - xen-domU     Xen domU (paravirtualized guest domain)
 - xen-hvm      Xen guest fully virtualized (HVM)


%prep
%setup -q

%build
%configure2_5x
make

%install
%make_install

%check
make check

%files
%doc README COPYING
%{_sbindir}/virt-what
%{_libexecdir}/virt-what-cpuid-helper
%{_mandir}/man1/*.1*



%changelog
* Fri Jan 22 2016 daviddavid <daviddavid> 1.15-2.mga6
+ Revision: 926412
- switch to %%configure2_5x to fix build

* Fri Sep 04 2015 tv <tv> 1.15-1.mga6
+ Revision: 872700
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.14-3.mga5
+ Revision: 749938
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.14-2.mga5
+ Revision: 690215
- Mageia 5 Mass Rebuild

* Wed Feb 19 2014 tv <tv> 1.14-1.mga5
+ Revision: 594938
- new release

* Fri Oct 18 2013 umeabot <umeabot> 1.12-2.mga4
+ Revision: 520949
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 tv <tv> 1.12-1.mga3
+ Revision: 388086
- imported package virt-what

